package de.hsbo.fbv.bmg.topology.networks;

/**
 * Edge - Interface fr Maschen.
 * @author Zimmermann, HS Bochum 2011
 *
 * @param <FaceT>
 */

public interface Face<FaceT> extends Element<FaceT> {
	
	/**
	 * Gibt die anhngenden (inzidenten) Kanten zurck.
	 * @return
	 */
	public Edge[] getEdges();
	
	/**
	 * Gibt die unmittelbar verbundenen (adjazenten) Maschen zurck.  
	 * @return
	 */
	public Face[] getNextFaces();

	

}
