package de.hsbo.fbv.bmg.topology.networks;

/**
 * Node - Interface fr Knoten.
 * @author Zimmermann, HS Bochum 2011
 *
 * @param <NodeT>
 */
public interface Node<NodeT> extends Element<NodeT> {
	
	/**
	 * Gibt die anhngenden (inzidenten) Kanten zurck.
	 * @return
	 */
	public Edge[] getEdges();
	
	/**
	 * Gibt die unmittelbar verbundenen (adjazenten) Knoten zurck.  
	 * @return
	 */
	public Node[] getNextNodes();

}
